### Class

# Adw CallbackAnimationTarget

#### Description [src]

    final class Adw.CallbackAnimationTarget : Adw.AnimationTarget
    {
      /* No available fields */
    }

An `AdwAnimationTarget` that calls a given callback during the animation.

#### Ancestors

- AdwAnimationTarget
- GObject

#### Constructors

###### adw_callback_animation_target_new

Creates a new `AdwAnimationTarget` that calls the given `callback` during the animation.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwCallbackAnimationTargetClass {
      /* no available fields */
    }

No description available.